[ltt-dev] [UST PATCH 3/3] Test for the presence of valgrind in the valgrind test
Yannick Brosseau
yannick.brosseau at gmail.com
Fri Feb 18 12:59:40 EST 2011
Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
---
tests/valgrind_ust-consumerd.sh | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index a0d9e44..d89a1f2 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -17,6 +17,11 @@
# You should have received a copy of the GNU General Public License
# along with LTTng-UST. If not, see <http://www.gnu.org/licenses/>.
+if [ -n "$(which valgrind)" ]; then
+ echo "$0: Valgrind not found on the system." >/dev/stderr
+ exit 1;
+fi
+
TESTDIR=$(dirname $0)
source $TESTDIR/test_functions.sh
--
1.7.2.3
More information about the lttng-dev
mailing list